net.i2p.i2ptunnel

## Class I2PTunnelIRCClient.IrcOutboundFilter

- java.lang.Object
- - net.i2p.i2ptunnel.I2PTunnelIRCClient.IrcOutboundFilter

- All Implemented Interfaces:
    Runnable
  Enclosing class:
    I2PTunnelIRCClient

      public static class I2PTunnelIRCClient.IrcOutboundFilter
      extends Object
      implements Runnable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `I2PTunnelIRCClient.IrcOutboundFilter(Socket _local, I2PSocket _remote, StringBuffer pong, Log log)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### I2PTunnelIRCClient.IrcOutboundFilter

          public I2PTunnelIRCClient.IrcOutboundFilter(Socket _local,
                                              I2PSocket _remote,
                                              StringBuffer pong,
                                              Log log)

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`